Method: bigQueryExport.fetchSubscriptions

Full name: projects.locations.instances.bigQueryExport.fetchSubscriptions

Customer revokes an existing subscription

HTTP request

GET https://{endpoint}/v1alpha/{parent}/bigQueryExport:fetchSubscriptions

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. instance name of the customer project format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body must be empty.

Response body

The response message for bigQueryExport.fetchSubscriptions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "subscriptions": [
    {
      object (SubscriptionDetails)
    }
  ]
}
Fields
subscriptions[]

object (SubscriptionDetails)

The list of subscriptions.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.